Allow uploading files directly from the wikitext editor
Closed, ResolvedPublic

Description

Allow uploading files directly from the editor. Wikitext counterpart of T40030: Way in VisualEditor to initiate Commons file uploading, and insert image on completion. To be implemented after we're sure that the VisualEditor part has gone over well.

matmarex created this task.Oct 16 2015, 7:13 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Normal.
matmarex assigned this task to Prtksxna.
matmarex added projects: WikiEditor, Multimedia.
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptOct 16 2015, 7:13 PM
Prtksxna moved this task from Untriaged to Doing on the Multimedia board.Oct 20 2015, 3:30 PM

Change 247563 had a related patch set uploaded (by Prtksxna):
Use mw.Upload.Dialog to upload and insert file

https://gerrit.wikimedia.org/r/247563

Prtksxna moved this task from Doing to Needs code review on the Multimedia board.Oct 20 2015, 3:59 PM
matmarex closed this task as Resolved.Oct 23 2015, 4:55 PM
matmarex edited projects, added User-notice; removed Patch-For-Review.
matmarex set Security to None.

Change 247563 merged by jenkins-bot:
Use mw.Upload.Dialog to upload and insert file

https://gerrit.wikimedia.org/r/247563

Quiddity updated the task description. (Show Details)Oct 23 2015, 7:09 PM
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:01 AM